\documentclass[paper=a4,papersize,DIV=15,BCOR=0mm,oneside]{scrartcl}
%\documentclass[12pt, a4paper,oneside, DIV=18]{scrbook}
%\usepackage[a4paper, bottom=20mm, top = 25 mm, head = 22mm, hmargin=2cm] {geometry}                % See geometry.pdf to learn the layout options. There are lots.
%\geometry{a4paper}                   % ... or a4paper or a5paper or ... 
%\geometry{landscape}                % Activate for for rotated page geometry

\usepackage[utf8]{inputenc} %+Umlaute
\usepackage[T1]{fontenc}
\usepackage{csquotes}
\usepackage{url}
%\usepackage[ngerman]{babel}
\usepackage[backend=biber
,style=iso-numeric
,autolang=other
,bibencoding=UTF8
]{biblatex}
\addbibresource{sw-weight.bib}
\usepackage{hyperref}

% Einrücken von Absätzen
%\usepackage[parfill]{parskip}    % Activate to begin paragraphs with an empty line rather than an indent
%\setlength{\parindent}{0pt}

% Tabellen mit Layout
\usepackage{tabu}
% Tabellen exakt an der Stelle im Text wo sie im source sind
\usepackage{float}

\usepackage{placeins}

%\usepackage{SIunits} %Einheiten formatieren

%\usepackage{listings} %Source Code darstellen
%\lstset{numbers=left, numberstyle=\small, numbersep=5pt, basicstyle=\ttfamily}

% Literatur
%\usepackage{natbib}
%\bibpunct{(}{)}{;}{a}{}{,}

% Gerahmte Boxen
\usepackage[framemethod=tikz]{mdframed}
  
 % Blaue Box für Beispiele und Aufgaben
 \newenvironment{bbox}[1][]{%
 \ifstrempty{#1}% 
 {}% 
 {\mdfsetup{%
frametitle={#1},
 %innertopmargin=15pt,
 }%
}% 
 \mdfsetup{linecolor=blue,
 % innertopmargin=2pt,
 backgroundcolor=blue!3,
 frametitlebackgroundcolor=blue!40,
 middlelinewidth=1pt,
 %topline=true,
 %needspace=2cm,
 %roundcorner=5pt,
 %frametitleaboveskip=5pt
 } 
 \begin{mdframed}[]\relax%
}{\end{mdframed}}


% Rote Box für wichtige Punkte
 \newenvironment{rbox}[1][]{%
 \ifstrempty{#1}% 
 {}% 
 {\mdfsetup{%
frametitle={#1},
% innertopmargin=15pt,
 }%
}% 
 \mdfsetup{linecolor=red,
 % innertopmargin=2pt,
 backgroundcolor=red!10,
 frametitlebackgroundcolor=red!40,
 middlelinewidth=1pt,
 topline=true,
 needspace=2cm,
 roundcorner=5pt,
 frametitleaboveskip=5pt
 } 
 \begin{mdframed}[]\relax%
}{\end{mdframed}}


% Kopf- und Fußzeilen
%\usepackage{fancyhdr}
%\pagestyle{fancy}
%\fancyhf{}

% Graphiken
%\usepackage{graphicx}

% Mathematik align environment fuer Gleichungen
\usepackage{amsmath}

%\usepackage{amssymb}
%\usepackage{epstopdf}
%\DeclareGraphicsRule{.tif}{png}{.png}{`convert #1 `dirname #1`/`basename #1 .tif`.png}

% Graphikpaket für die Schaltungen
\usepackage{tikz}
\usetikzlibrary{positioning}
\usetikzlibrary{angles,quotes}
%\usepackage[european]{circuitikz}
%\usetikzlibrary{calc} 
%\usetikzlibrary{circuits} 
\usetikzlibrary{circuits.logic.IEC,circuits.ee.IEC,circuits.logic.US}
%\usetikzlibrary{shapes.geometric}
\usepackage{pgfplots}

% Zustandsautomaten
%\usetikzlibrary{automata}


% Timingdiagramm
%\usepackage{tikz-timing}
%\usetikztiminglibrary{advnodes}


\renewcommand{\labelenumi}{\alph{enumi})}
%\renewcommand{\theenumi}{\alph{enumi}}

% Kopfzeile
%\usepackage{lastpage}
%\usepackage{scrlayer-scrpage}
%\rohead{\thepage \  / \pageref{LastPage}}


\title{SearchWing - Weights, Dimensions and Power}
\subtitle{X-UAV Mini Talon weights, dimensions and power analysis}
%\subject{Hochschule Augsburg}
%\titlehead{Hochschule Augsburg}
\author{Prof. Dr.-Ing. Friedrich Beckmann}
\date{May 2020 - Version 1}                                           % Activate to display a given date or no date
\KOMAoptions{titlepage=no}

%Requirementscounter

\newcounter{reqc}[subsection]
\newcounter{subreqc}[reqc]
\renewcommand\thereqc{\thesubsection.\arabic{reqc}}
\renewcommand\thesubreqc{\thesubsection.\arabic{reqc}.\arabic{subreqc}}
\newenvironment{req}
{
\refstepcounter{reqc}
\vspace{3mm}
\begin{tabular}{p{0.25\textwidth}p{0.65\textwidth}}
\textbf{Requirement \thereqc}&\hspace{0.001mm}}
{\end{tabular}
\vspace{3mm}}
 
\newenvironment{subreq}
{
\refstepcounter{subreqc}
\vspace{3mm}
\begin{tabular}{p{0.25\textwidth}p{0.65\textwidth}}
\textbf{Requirement \thesubreqc}&\hspace{0.001mm}}
{\end{tabular}\vspace{3mm}}


\begin{document}
%\shorthandoff{"}

\maketitle

%\thispagestyle{empty}
%\newgeometry{a4paper, hmargin=2cm, top= 2cm}


%\restoregeometry
%\pagestyle{fancy}

\begin{abstract}
The weights and dimensions of the X-UAV Mini Talon drone and the weights of the payload components are measured and analyzed. For the thermal design an estimate of the thermal power inside the fuselage is given.
\end{abstract}

\section{Introduction}

After the miserable results of the test flights on the Alan Kurdi vessel new ideas for a waterproof drone are required. I start with measurements of the existing drone to have a baseline for further development.

\section{X-UAV Mini Talon}
I measure the weights and dimensions of the X-UAV Mini Talon drone.


\subsection{Fuselage}

Figure \ref{fig:fuselage-foam-only} shows one half of the X-UAV Mini Talon fuselage - only the foam component. The fuselage is reinforced with a fiber beam. 

\begin{figure}[!htb]
\centering
\includegraphics[width=0.6\textwidth]{IMG_5307}
\caption{Fuselage half foam only - 58.5g}
\label{fig:fuselage-foam-only}
\end{figure}

Figure \ref{fig:fuselage-incl-beam} shows the fuselage foam half including the fiber beam and the fiber beam only. The fiber beam has a length of 492mm and a diameter of 4.1mm. The fuselage half including the fiber beam has a weight of 71.4g. The fiber beam only weights 12.9g. 

\begin{figure}[!htb]
\centering
\includegraphics[width=0.5\textwidth]{IMG_5309}\includegraphics[width=0.5\textwidth]{IMG_5310}
\caption{Fuselage half foam and fiber beam 71.4g and fiber beam only with 12.9g}
\label{fig:fuselage-incl-beam}
\end{figure}

Figure \ref{fig:fuselage-length} shows the length of 810mm of the fuselage and the width of 70mm of one fuselage half at the wing connector. The total width of the fuselage is therefore 140mm but some of this a part of the wing. I estimate the maximum sidewall to sidewall width with 120mm in total. 

\begin{figure}[!htb]
\centering
\includegraphics[width=0.5\textwidth]{IMG_5308}\includegraphics[width=0.5\textwidth]{IMG_5327}
\caption{Fuselage length 810mm excluding motor and width 70mm }
\label{fig:fuselage-length}
\end{figure}

Figure \ref{fig:fuselage-height} shows the height of 120mm of the fuselage at the wing connector.

\begin{figure}[!htb]
\centering
\includegraphics[width=0.6\textwidth]{IMG_5328}
\caption{Fuselage height of 120mm}
\label{fig:fuselage-height}
\end{figure}

Figure \ref{fig:fuselage-box} shows the original wood reinforcement box with 20.3g and the 3D print version with 50.7g.
The wood box is without glue. The 3D print version is without the floor where the electronics is mounted.

\begin{figure}[!htb]
\centering
\includegraphics[width=0.5\textwidth]{IMG_5332}\includegraphics[width=0.5\textwidth]{IMG_5336}
\caption{Fuselage reinforcement box. Left: Original wood version (20.3g). Right: 3D Print version (50.7g) }
\label{fig:fuselage-box}
\end{figure}

Figure \ref{fig:fuselage-motormount} shows the motor mount reinforcement to hold the motor. The original wood
version has a weight of 2.5g and the 3D print version has a weight of 6.4g. The original motor mount is made from 3mm balsa wood.
The 3D print version has a height of 4.1mm and is made from PLA. 
\begin{figure}[!htb]
\centering
\includegraphics[width=0.5\textwidth]{IMG_5334}\includegraphics[width=0.5\textwidth]{IMG_5335}
\caption{Motor mount. Left: Original wood version (2.5g). Right: 3D print version (6.4g) }
\label{fig:fuselage-motormount}
\end{figure}

\FloatBarrier
\subsection{Main Wing}

Figure \ref{fig:wing-foam} shows the left wing with foam only (107.9g) and with the reinforcement fiber beam (120.7g). The wing reinforcement beam has a length of 442m and a diameter of 7.8mm with a weight of 12.6g. This reinforcement beam is glued into the wing. There is another fiber tube at the rear side of the wing which is already integrated in the foam.

\begin{figure}[!htb]
\centering
\includegraphics[width=0.5\textwidth]{IMG_5319}\includegraphics[width=0.5\textwidth]{IMG_5320}
\caption{Left wing foam only 107.9g and with fiber beam 120.7g}
\label{fig:wing-foam}
\end{figure}

A fully mounted wing including fiber reinforcement beam, servo and servo M3 connector is shown in figure \ref{fig:wing-full} with a weight of 140.5g. The length of the wing is 575mm and the width is 240mm at the wing base where the wing is connected with the fuselage.

\begin{figure}[!htb]
\centering
\includegraphics[width=0.5\textwidth]{IMG_5322}\includegraphics[width=0.5\textwidth]{IMG_5324}
\caption{Right wing with servo and beam 140.5g}
\label{fig:wing-full}
\end{figure}

Figure \ref{fig:wing-fuse-beams} shows the front and rear fiber beams which connect the wings to the fuselage. The total weight of both beams is 35.6g. The rear beam has a length 735mm and a diameter of 3.9mm with a weight of 18.9g. The front beam is a tube and has a length of 386mm, an outer diameter of 10mm and an inner diameter of 8mm with a weight of 16.6g. 

\begin{figure}[!htb]
\centering
\includegraphics[width=0.5\textwidth]{IMG_5329}\includegraphics[width=0.5\textwidth]{IMG_5331}
\caption{left: wing fuselage rear beam (18.9g) , right: wing fuselage rear and front beam (35.6g)}
\label{fig:wing-fuse-beams}
\end{figure}

Figure \ref{fig:wing-area} shows the basic calculation for the wing area of the main wing. The area for one wing is then

\begin{figure}[!htb]
\centering
\includegraphics[width=0.6\textwidth]{IMG_5368}
\caption{Wing area sketch}
\label{fig:wing-area}
\end{figure}

\begin{equation}
A = 40cm \cdot 24cm + 18cm \cdot 18cm = 960 cm^22 + 324 cm^2 = 1284 cm^2 = 13 dm^2
\end{equation}

This would give a total wing area for two wings of 26 $dm^2$. The fuselage follows the wing so maybe this can be added to the wing area. That would be an additional $14 cm \cdot 24cm = 336 cm^2 = 3.3 dm^2$. This would then fit to the 30 $dm^2$ wing area that is stated in the instructions from X-UAV.  The wing shape at the wing base fits to an S3010 airfoil shape with a cord length of 270mm as shown in figure \ref{fig:wing-shape}. I plotted the S3010 airfoil with a chord length of 270mm and a thickness of 100 percent on paper. The shape information is from the airfoiltools.com \cite{s3010}.The wing length at the X-UAV Mini Talon is 240mm at the base, i.e. the remaining pretty thin 30mm are just left away. 

\begin{figure}[!htb]
\centering
\includegraphics[width=0.6\textwidth]{IMG_5372}
\caption{Wing airfoil shape S3010 with chord length of 270mm}
\label{fig:wing-shape}
\end{figure}


\FloatBarrier
\subsection{Vtail wing}

Figure \ref{fig:vtail-foam} shows the vtail foam only with weight of 11.3g. The vtail wing with beam weights 16.3g. 

\begin{figure}[!htb]
\centering
\includegraphics[width=0.5\textwidth]{IMG_5312}\includegraphics[width=0.5\textwidth]{IMG_5313}
\caption{Vtail wing without beam (11.3g) and with beam (16.3g)}
\label{fig:vtail-foam}
\end{figure}

The vtail beam has a weight of 5g, a length of 205mm and a diameter of 3.9mm. 

\begin{figure}[!htb]
\centering
\includegraphics[width=0.5\textwidth]{IMG_5316}\includegraphics[width=0.5\textwidth]{IMG_5317}
\caption{The vtail span is 205mm and has a width of 140mm at the base}
\label{fig:vtail-length}
\end{figure}

Figure \ref{fig:vtail-length} shows the dimensions of the vtail. The vtail span is 205mm and it has a width of 140mm at the base near the fuselage. The width near the tip is about 85mm.


\begin{figure}[!htb]
\centering
\includegraphics[width=0.5\textwidth]{IMG_5370}\includegraphics[width=0.5\textwidth]{IMG_5365}
\caption{vtail area sketch and vtail angle (right)}
\label{fig:vtail-area}
\end{figure}

Figure \ref{fig:vtail-area} shows a sketch of the vtail area calculation. 

\begin{equation}
A_{vt} = 20.5cm \cdot 10.5cm = 215 cm^2 =  2.15 dm^2
\end{equation}

The flat vtail area is therefore 2.15 $dm^2$ for one vtail. The vtail is connected with a 45 degrees angle to the fuselage. Therefore the projected area for the rudder and elevator control area is both $A_{vt} / \sqrt{2} = 1.5 dm^2$ for one vtail wing and 3 $dm^2$ for both.

\FloatBarrier
\subsection{Wing fuselage relation}

Figure \ref{fig:fuse-wing} shows the position of the vtail and the wing in relation to the fuselage. The leading edge of the main wing is 300mm from the nose of the fuselage. The leading edge of the main wing is 340mm away from the vtail leading edge.  The vtail is mounted in a 45 degrees angle with respect to the fuselage when looking from behind. 

\begin{figure}[!htb]
\centering
\includegraphics[width=0.5\textwidth]{IMG_5363}\includegraphics[width=0.5\textwidth]{IMG_5366}
\caption{Left: fuselage nose to main wing leading edge 300mm. Right: Main wing leading edge to vtail leading edge 340mm}
\label{fig:fuse-wing}
\end{figure}

\FloatBarrier
\subsection{X-UAV Frame summary}

Table \ref{tab:talon-weight} shows the weight of the components of the X-UAV Mini Talon body including the four servos in the main and vtail wings. All components are not glued - so I just add 15g of UHU-POR glue. The calculation is based on the balsa wood reinforcement box and motor mount. This results in a weight of \textbf{564g}. If I take the 3D print reinforcement box and the the 3D print motor mount this gives an additional weight of 34g, i.e. in total \textbf{598g}. 

\begin{table}[!htb]
\centering
\caption{X-UAV Mini Talon body}
\label{tab:talon-weight}
\begin{tabular}{lrl}
Component & Weight in g & Remark\\\hline
Fuselage left part & 72 & incl. beam no glue\\
Fuselage right part & 72 & \\
Fuselage reinforcement box & 21 & Balsa version \\
Motor mount & 3 & Balsa version \\
Wing mount beams & 37 & \\
Main wing left complete & 141 & incl. servo \\
Main wing right complete & 141 & incl. servo \\
Vtail left incl. beam & 17 & \\
Vtail right incl. beam & 17 & \\
Vtail servo left & 14 & \\
Vtail servo right & 14 & \\
Glue & 15 & \\\hline
\textbf{sum} & \textbf{564} & \\
\end{tabular}
\end{table}

The wing area including the fuselage part is 29 $dm^2$ and the projected elevator and rudder area is 3 $dm^2$. The main wing is 300mm behind the fuselage nose. The leading edge of the vtail wing is 340mm behind the leading edge of the main wing. However the vtail wing tip at the leading edge is behind the leading edge at the vtail wing fuselage connection like in a delta wing configuration but I do not know the correct word for this. The wing span of 58cm for each wing and the 14 cm fuselage width at the point of wing connection gives a total of 130cm which is exactly the number from the X-UAV Mini Talon instruction leaflet.

\FloatBarrier
\section{Payload}

I split the payload weight of the drone in four categories.

\begin{itemize}
\item Flight Control (PixRacer, GPS, Telemetry, RC receiver)
\item Power Control (Power regulator, On/Off switch, Charge jack)
\item Camera (Raspberry Pi, Camera)
\item Propulsion (Battery, Motor, Propeller and ESC)
\end{itemize}

This does not account for any mounting material inside the fuselage.
\FloatBarrier
\subsection{Flight Control}

Table \ref{tab:flight-control} shows the weight of the flight control components. The servos are already accounted for in the flight body as they are located in the wings. 

\begin{table}[!htb]
\centering
\caption{Flight control weight overview}
\label{tab:flight-control}
\begin{tabular}{lrl}
Component & Weight in g & Remark\\\hline
PixRacer incl. alu case & 30 & incl. SD card\\
PixRacer Wifi & 2 & \\
PixRacer Power cable & 3 &\\
FrSky XSR-M & 3 & RC receiver\\
XSR-M cable & 2 & Connect RC to PixRacer\\
RFD868+ modem & 16 & \\
RFD868 antenna & 7 & \\
RFD868 cable & 6 & Power and UART\\
GPS incl. cable & 14 & \\
Beeper and Switch & 5 & Switch is useless\\
2 x servo cable vtail & 7 & incl. solder connection\\
2 x servo cable wing & 11 & incl M3 connector\\\hline
\textbf{sum} & \textbf{106} &\\
\end{tabular}
\end{table}

Figure \ref{fig:pixracer-weight} shows the weight of 29.1g of the pixracer flight control computer including an aluminium case and a memory card. On the right side the wifi module for a 801.11g based telemetry connections is shown (1.5g). A pixracer in a plastic case has a weight of 23.8g. 
\begin{figure}[!htb]
\centering
\includegraphics[width=0.5\textwidth]{IMG_5354}\includegraphics[width=0.5\textwidth]{IMG_5339}
\caption{Left: PixRacer with Alu case and memory card (29.1g). Right: Wifi module (1.5g)}
\label{fig:pixracer-weight}
\end{figure}

Figure \ref{fig:frsky} shows the weight of the frsky XSR-M receiver and the cable that connects the receiver to the pixracer flight controller. The XSR-M is the old receiver that we used. The current receiver is the FrSky R-XSR which is even smaller at 1.5g according to specification. The receiver including cable is 4.5g. 

\begin{figure}[!htb]
\centering
\includegraphics[width=0.5\textwidth]{IMG_5343}\includegraphics[width=0.5\textwidth]{IMG_5342}
\caption{FrSky RC receiver (2.7g) with cable  (1.8g)}
\label{fig:frsky}
\end{figure}

Figure \ref{fig:rfdesign} shows the RFD868+ 868 MHz telemetry modem at 15.8g with the Roy antenna at 6.7g. The modem needs to be connected to the power module (4 wires) and the pixracer telemetry port (3 wires) with JST-GH connectors. The connector at the modem is a 2 x 8 pin Harwin 2.54mm connector. Each Harwin pin is 0.085g and the housing 1x8 pin is 0.4g. The M20 2.54mm connector without cable is therefore at 16 x 0.085g + 2 x 0.4g = 2.2g. Six 12 inch (30cm) cables including housing weight 2.9g (see figure \ref{fig:gps}). I calculate 6g for the power and uart cable. The total weight for the 868MHz telemetry is therefore 15.8g + 6.7g + 6g = 28,5g). 

\begin{figure}[!htb]
\centering
\includegraphics[width=0.5\textwidth]{IMG_5345}\includegraphics[width=0.5\textwidth]{IMG_5344}
\caption{RFD868+ modem (15.8g) and antenna (6.7g)}
\label{fig:rfdesign}
\end{figure}

Figure \ref{fig:gps} shows the weight of the GPS receiver and compass circuit and and a 12 inch 6 wire JST-GH cable including connectors.

\begin{figure}[!htb]
\centering
\includegraphics[width=0.5\textwidth]{IMG_5351}\includegraphics[width=0.5\textwidth]{IMG_5357}
\caption{GPS (13.4g) and JST-GH 6 wire 12 inch cable (2.9g) }
\label{fig:gps}
\end{figure}

Figure \ref{fig:sound} shows the weight of the beeper/switch cable of 4.3g and a 30cm servo cable from Muldental with 0,14 $mm^2$ cable diameter at 2.5g. The servo cable has a 3-pin servo connector and the other cable connection is open. The vtail servos will soldered to this cable end. I add 1g for the solder connection. The wing servos are connected with a M3 connector. I add 3g for the M3 connector. 

\begin{figure}[!htb]
\centering
\includegraphics[width=0.5\textwidth]{IMG_5352}\includegraphics[width=0.5\textwidth]{IMG_5360}
\caption{Beeper cable (4.3g) and 30cm servo cable (0.14 $mm^2$) (2.5g) }
\label{fig:sound}
\end{figure}

\FloatBarrier
\subsection{Power Control}

Figure \ref{fig:powermodule} shows the 20.9g weight of the power module board without cables and the 67.2g with 2.5 $mm^2$ power cable. The XT90 connector is connected with 2 x 14cm power cable and in the direction of the ESC there are 2 x 34cm. The cable weight of the 2.5 $mm^2$ power cable is 31g/m according to specification (Muldental). The cable weight of 960mm power cable alone is therefore 30g. So there are 16g for the XT90 connector and soldering. The measured power module with the cables does not have the correct cable length. The power module is supposed to be connnected with 285mm and 270mm in the direction of the battery and 210mm and 190mm in the direction fo the ESC. However, the total cable length of the real power module of 955mm and the cable length of the measured module of 960mm is more or less identical.

\begin{figure}[!htb]
\centering
\includegraphics[width=0.5\textwidth]{IMG_5340}\includegraphics[width=0.5\textwidth]{IMG_5341}
\caption{Left: Power module (20.9g), Right: Power module with cable and XT90 (67.2g) }
\label{fig:powermodule}
\end{figure}

Figure \ref{fig:powerswitch} shows the power switch with a weight of 6.6g and the charge plug with 2 x 320mm of 1 $mm^2$ charge cable (Muldental).

\begin{figure}[!htb]
\centering
\includegraphics[width=0.5\textwidth]{IMG_5349}\includegraphics[width=0.5\textwidth]{IMG_5346}
\caption{Left: power switch (6.6g), Right: charge connector (13.3g) }
\label{fig:powerswitch}
\end{figure}

\begin{table}[!htb]
\centering
\caption{power control components}
\label{tab:light-control}
\begin{tabular}{lrl}
Component & Weight in g & Remark\\\hline
Power Module & 21 & board without cables\\
1m power cable 2.5 $mm^2$ & 31 & 31g/m\\
XT90 plus solder & 16 & \\
Power Switch & 7 & incl. JST-GH cable and connector \\
charge jack & 14 & incl. 1 $mm^2$ cable\\\hline
\textbf{sum} & \textbf{86} &\\
\end{tabular}
\end{table}

\FloatBarrier
\subsection{Camera}

The camera subsystem is composed of the two raspberry pi computers and the two raspberry pi cameras. Figure \ref{fig:raspi} shows the Raspberry Pi Zero W including the SD Card and a 8 pin header with 10.2g. On the right the Raspberry Camera including a camera cable with a weight of 3.7g is depicted. The camera subsystem is composed of two of these cameras. Table \ref{tab:raspi} shows the weights of the camera subsystem. Each Pi has to be connected to power (4 wires) and UART (3 wires). The 8 pin Harwin connector is 1.1g without cables. I assume 5g in total per cable.


\begin{figure}[!htb]
\centering
\includegraphics[width=0.5\textwidth]{IMG_5347}\includegraphics[width=0.5\textwidth]{IMG_5350}
\caption{Left: Raspberry Pi Zero W (10.2g), Right: Raspberry Camera (3.7g) }
\label{fig:raspi}
\end{figure}

\begin{table}[!htb]
\centering
\caption{camera payload weight}
\label{tab:raspi}
\begin{tabular}{lrl}
Component & Weight in g & Remark\\\hline
2 x Raspberry Pi Zero W & 22 & incl. SD Card\\
2 x Raspberry Pi Camera & 8 & incl. cam cable\\
2 x power and uart cable & 10 &\\\hline
\textbf{sum} & \textbf{40} &\\
\end{tabular}
\end{table}

\FloatBarrier
\subsection{Propulsion}

The propulsion system consists of the the battery, motor, esc and propeller. Figure \ref{fig:motor} shows the motor but without the propeller mount with a weight of 110.7g. On the right the Hobbyking 40A ESC with 42.8g is shown. This is an old motor. The correct motor is the Extron 2814/20 with 800kV which has a weight of 115g according to datasheet. I have not photo of the battery and the propeller. The battery is a 4S 10000 mAh Lipobattery from Stefansliposhop. The propeller is a CamCarbon 10x7 propeller. The XT90 plug and the 1m power cable is accounted in the power control section.

\begin{figure}[!htb]
\centering
\includegraphics[width=0.5\textwidth]{IMG_5358}\includegraphics[width=0.5\textwidth]{IMG_5359}
\caption{Left: Cobra 2814/20 850kV motor (110.7g), Right: Hobbyking 40A ESC (42.8g) }
\label{fig:motor}
\end{figure}

\begin{table}[!htb]
\centering
\caption{propulsion  weight}
\label{tab:propulsion}
\begin{tabular}{lrl}
Component & Weight in g & Remark\\\hline
SLS Battery 4S 10000 mAh & 889 & StefansLipoShop\\
Motor & 115 & prop mount missing\\
CamCarbon 10x7 Propeller & 11 & \\
Hobbyking 40A ESC & 43 &\\\hline
\textbf{sum} & \textbf{1058} &\\
\end{tabular}
\end{table}


\subsection{Summary}

The total payload weight without internal mounting is summarized in table \ref{tab:weightsum}. The only real kind of customer payload that we are interested in is the camera system.

\begin{table}[!htb]
\centering
\caption{Summary of payload}
\label{tab:weightsum}
\begin{tabular}{lrl}
Component & Weight in g & Remark\\\hline
Propulsion & 1058 & \\
Power Control & 86 & \\
Flight Control  & 106 & \\
Camera & 40 &\\\hline
\textbf{sum} & \textbf{1293} &\\
\end{tabular}
\end{table}

\FloatBarrier
\section{Power consumption}

This section is about the power consumption and generated thermal power inside the fuselage. The electrical components from payload and propulsion produce heat. The cooling must allow to keep the temperature of the devices well below 100 degrees C. The power source is the battery which is currently a 4S LiPo battery. Each LiPo cell has a nominal voltage of 3.7V and a maximum voltage of 4.2V fully charged. The absolute minimum voltage is 3.2V. Therefore the battery has a voltage between  12,8V and 16,8V. I assume a voltage of 16V for the further calculations. All payload components need a voltage of 5V. This voltage is generated on the power module which contains switched voltage regulators. I assume that the power efficiency of the regulators is 85 per cent according to the datasheet of the MP1593 switched regulator \cite{mp1593}.  The power module is designed to have an output voltage of 5.3V. 

\subsection{Raspberry Pi Zero W}
I have not measured the power consumption of the Raspberry Pi Zero W including camera. So I did some google research and found a measurement of a Raspberry Pi Zero W for doing a HD video recording which produced a current consumption of 230mA \cite{raspipower}. The video recording was not stored on the SD card. We do still photos approximately one per second and store this on the SD Card. So I assume a power of 1.5W. 

\subsection{PixRacer, GPS and RC transceiver}
I do not have measurements for the PixRacer and the GPS components. So I took the measurements I found with the help of google from Stephen Dade \cite{pixhawkpower} who had done an analysis for the PixHawk controller. Stephen meausured 175mA for the PixHawk, 55mA for the GPS, 10mA for the Safety Switch and 5mA for the Compass. So I assume 250mA provided by the powermodule running at 5.3V. With 85 per cent efficiency this is 1.5W. The current consumption figure for the FrSky RC transceiver is taken from the datasheet \cite{frsky-rxsr}.

\subsection{RFD868+ telemetry}
For the RFD868+ telemetry radio I took the data from the datasheet. The current consumption during TX for 20dBm is 400mA. The current consumption for RX is 60mA. I assume a 60 per cent transmit time on the channel. That translates to an average current of 300mA. I subtract the 100mW transmit power going to the antenna for the thermal power. This translates to 1.8W thermal power.

\subsection{Servos}
The servo power consumption is not critical with respect to thermal power in the fuselage because the servos are mounted in the wings. The servos are powered via the 5V regulator in the ESC. I assume 150mA servo current consumption on average with a power regulator efficiency of 85 per cent. I assume that only the conversion loss is thermally relevant inside the fuselage. For 600mA of servo current this translates to 0.5W conversion loss in the regulator.

\subsection{Electronic Speed Controller (ESC)}
The ESC drives the motor. For a DC current of 10A at a battery voltage of 16V this translates to a power taken from the battery of 160W. The power loss in the motor is not relevant for the thermal budget because the motor is outside the fuselage. The relevant power for thermal considerations is the power loss in the ESC. Clayton Green did measurements with some Hobbywing FlyFun ESCs to figure out the efficiency of the ESCs during his master thesis \cite{greenesc}. He analyzed his possible measurement accuracy with his setup. His results sometimes show efficiencies above 1 but they are within his assumed accuracy. Robert Brown did measurements on Multistar and a DYS BlHeliOptop ESCs during his masterthesis and came up with efficiencies of about 85 percent for a battery voltage of 14.8V for a DJI 920KV motor and the DYS BlHeliOptop 40A ESC for a throttle setting of 50 percent \cite[page 219]{brownesc}.  Andrew Gong did measurements on Turnigy ESCs in a similar way as Clayton Green has done it. Gong used a Magtrol 6530 3-phase power analyser for the measurement of the motor \cite{gongesc}. His results also indicate a similar efficiency of 85 percent:

\begin{quote}
It can be seen that at low throttle settings the efficiency is low but rapidly rises and levels off between 80\%-90\% efficiency. All ESCs had an efficiency above 80\% by 5 A, and the efficiency levels off and does not exceed 90\%.
\end{quote}

While Green had partly efficiencies above 100 percent, Gong has on average an efficiency of 85 percent even for full throttle with a voltage of 11V and up to 15A current at an output power of 130W and an input power of 165W. That would translate to 35W of power dissipation in the ESC. The ESC has a board area of about 30mm x 30mm and the ESC is covered with a  heat shrink tube(see figure \ref{fig:motor}). For comparison, the Infineon Technologies Power Mosfet BSC010N04LS which is on the Powermodule has a thermal resistance of $R_{thJA} = 50 K/W$, i.e Junction to Ambient air resistance without air flow of 50 K/W when mounted on a 40mm x 40mm board with a copper area of 6 $cm^2$ \cite{bsc010n04}. Some more details about thermal resistance can be found in \cite{gieswaerme}. If I assume a similar thermal resistance for the ESC, then this would translate to a temperature increase of 1750$^{\circ}$C. Another comparison is a ceramic power resistor Vitrohm KHS800 with a nominal power of 8W. This resistor has a dimension of 25mm x 9mm x 9mm and a thermal resistance of 35K/W \cite{vitrohm}. The resistor has a surface area of 900 $mm^2$. At a nominal power of 8W, the temperature of this resistor is at 300$^{\circ}$C in ambient air. 

But we did fly with an ESC with a plane with a closed fuselage. My guess is that the measurements of the 3 phase motor supply with the PWM modulated signal is somehow difficult if you want to measure the losses. Young Tae Shin did a theoretical approach to the get an estimate of the ESC losses by looking at the datasheet values of the power mosfets which could be used in an ESC \cite{shinesc}. In his analysis the power consumption of the ESC is 0.56W for a powermosfet with an $R_{on} = 0.84m\Omega$ (CSD17573Q5B) at a DC current of 14A for a throttle setting of 50 percent. I tried to recompute that number from the datasheet values of the transistor. That number only accounts for the losses according to datasheet values of the 3 power transistors. The loss of the gate driver DRV8305 and the microcontroller is omitted. When I calculate the mosfet losses for a transistor with $R_{on} = 1.8m\Omega$ (CSD18540Q5B), the numbers are similar. For 16V and 24A with CSD18540Q5B, i.e. full power, the loss for the transistors is 3.2W. I assume a loss of 2W for the ESC for cruise speed.

\subsection{Summary}

The power estimation figures for the existing drone are summarized in table \ref{tab:elpower}. The thermal design of the drone must make sure that at least 9W of thermal power can be dissipated from the fuselage without overheating the electronic components. The loss of the motor is not included in this calculation. The thermal power of the ESC is calculated for a cruise speed situation. 

\begin{table}
\caption{Power Consumption and Thermal power inside fuselage}
\label{tab:elpower}
\begin{tabular}{lcccccc}
Comp. & I/mA & U/V & Efficiency & el. Power/W & Therm./W & Remark\\\hline
Raspi Zero W incl. Cam (left) & 230 & 5.3 & 0.85 & 1.5 & 1.5 &\cite{raspipower}\\
Raspi Zero W incl. Cam (right) & 230 & 5.3 & 0.85 & 1.5 & 1.5 & \\
PixRacer incl. GPS & 250 & 5.3 & 0.85 & 1.6 & 1.6 & \cite{pixhawkpower}\\
FrSky RC & 70 & 5.3 & 0.85 & 0.5 & 0.5 & \cite{frsky-rxsr}\\
RFD868+ & 300 & 5.3 & 0.85 & 1.9 & 1.8 & \cite{rfd900}\\
4 x Servo & 600 & 5 & 0.85 & 3.53 & 0.5 &\\
ESC loss & - & - & - & 2 & 2 & \\\hline
\textbf{sum} & &  &   & \textbf{12.3} & \textbf{9.2}
\end{tabular}
\end{table}


%\bibliography{sw-requirements}
%\bibliographystyle{IEEEtran}
%
%\bibliographystyle{plaindin}

%\bibliographystyle{alphadin}, i
%\bibliographystyle{dinat}
%\bibliography{dt-skript}

\printbibliography

\end{document}  
